﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml' xml:lang="de' lang="de">
<head>

<meta http-equiv="Content-Type' content="text/html; charset=UTF-8">
<meta http-equiv="Cache-Control' content="no-store, no-cache, must-revalidate">
<meta http-equiv="Pragma' content="no-cache">
<meta http-equiv="Expires' content="0">

<style type="text/css">@import "wetterUser.css";</style>

</head><body>

<?php
if(file_exists("biowetter/sb31fg.xml"))
{
	$xml = simplexml_load_file("biowetter/sb31fg.xml");
}
else
{
	echo "<table width='100%'><tr bgcolor='#414141'><td colspan='8' align='center'><h3>Pollenflugvorhersage f&uuml;r Deutschland</h3></td></tr>";
	echo "<tr align='center'><td><h3>********** Es ist zur Zeit keine Pollenflug Saison! *********** <br><br>Die Daten stehen von Januar/Februar bis Oktober zur Verfügung!</h3></tr></td>"; 
	require 'barBottom.php'; 
	exit; 
}
?>
<div id="containerPollen">

<?php
$laUp = $xml->attributes()->last_update;
$neUp = $xml->attributes()->next_update;
echo "<table bgcolor=#202020 width='100%'><tr bgcolor=#414141><td colspan='8' align='center'><h3>Pollenflugvorhersage f&uuml;r Deutschland</h3></td></tr>";

foreach($xml->legend as $legend => $v)
{
	echo "<tr bgcolor=#283040><td align='center'>".$v->id0."</td>";
	echo "<td align='center'>".$v->id1."</td>";
	echo "<td align='center'>".$v->id2."</td>";
	echo "<td align='center'>".$v->id3."</td>";
	echo "<td align='center'>".$v->id4."</td>";
	echo "<td align='center'>".$v->id5."</td>";
	echo "<td align='center'>".$v->id6."</td>";
	echo "<td align='center'>".$v->id7."</td></tr>";
}
echo "<tr bgcolor='#A27C32'><td><br /><b>Bundesland/Region</b></td><td align='center'><br /><b>Hasel</b><br /></td><td align='center'><br /><b>Erle</b></td><td align='center'><br /><b>Birke</b></td><td align='center'><br /><b>Gr&auml;ser</b><br /></td><td align='center'><br /><b>Roggen</b></td><td align='center'><br /><b>Beifuss</b></td><td align='center'><br /><b>Ambrosia</b></td></tr>";
foreach($xml->region as $region)
{
	if(isset($region->attributes()->name)) 
	{ 
		echo "<tr bgcolor=#A27C32><td colspan='8' ><b>".$region->attributes()->name."</b></td></tr><td></td>";
	}
	foreach($region as $value)
	{
		if(isset($value->today))
		{ 
			echo "<td bgcolor=#283040 align='center'>"." H ".$value->today."&nbsp;";
		}
		if(isset($value->tomorrow))
		{ 
			echo " M ".$value->tomorrow."&nbsp;";
		}
		if(isset($value->dayafter_to))
		{
			echo " &Uuml; ".$value->dayafter_to."</td>";
		}
	}
	foreach($region as $regions)
	{
		if(isset($regions->attributes()->name))
		{ 
			echo "<tr><td>".$regions->attributes()->name."</td>";
		}
		foreach($regions as $value)
		{
			if(isset($value->today)) 
			{
				echo "<td bgcolor=#283040 align='center'>"." H ".$value->today."&nbsp;"; 
			}
			if(isset($value->tomorrow))
			{ 
				echo " M ".$value->tomorrow."&nbsp;";
			}
			if(isset($value->dayafter_to))
			{
				echo " &Uuml; ".$value->dayafter_to."</td>";
			}
		}
	
	}
}
echo "</tr><table width='100%'><tr bgcolor='#414141'><td colspan='8' align='center'>Letztes Update am ".$laUp.", n&auml;chstes Update am ".$neUp."</td></tr></table></table>";

?>
</div>

<?php require 'barBottom.php'; ?>

</body></html>