﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml' xml:lang="de' lang="de">
<head>

<meta http-equiv="Content-Type' content="text/html; charset=UTF-8">
<meta http-equiv="Cache-Control' content="no-store, no-cache, must-revalidate">
<meta http-equiv="Pragma' content="no-cache">
<meta http-equiv="Expires' content="0">

<link rel="stylesheet" type="text/css" href="wetterUser.css" />

</head><body>

<?php
require_once IPS_GetKernelDir()."scripts\\konfigurationWetter.ips.php";

$api = simplexml_load_string(utf8_decode(file_get_contents(IPS_GetKernelDir()."webfront\\user\\WetterFtpDWD\\Vorhersage\\vorhersage.xml")));
//print_r($api);

$wetter = array();

$i = 0;
foreach($api->data as $weather)
{
   $wetter[$i]['wochentag'] = $weather->day;
	$suchArr = array('Mon','Tue','Wed','Thu','Fri','Sat','Sun');
   $ersetzArr = array('Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag','Sonntag');
   $wetter[$i]['wochentag'] = str_replace($suchArr, $ersetzArr, $wetter[$i]['wochentag']);
   $wetter[$i]['zustandf'] = $weather->conditionf;
	$wetter[$i]['zustands'] = $weather->conditions;
   $wetter[$i]['tiefsttemperatur'] = $weather->tempmin;
   $wetter[$i]['hoechsttemperatur'] = $weather->tempmax;
	$wetter[$i]['iconf'] = $weather->iconf;
	$wetter[$i]['icons'] = $weather->icons;
	$i++;
}

$containerOben = '<table border="0" width="100%" cellspacing="0" cellpadding="2"><tr>';

$containerOben .= '<td><table width="100%" border="0" cellspacing="0" cellpadding="0">';
$containerOben .= '<tr><td><b>Aktuell:</b></td></tr>';
$containerOben .= '<tr><td>'.$api->aktuell->condition.'</td></tr>';
if(isset($temp) && $temp !=0) $containerOben .= '<tr><td>Temperatur: '.GetValue($temp).' &deg;C</td></tr>';
if(isset($feuchte) && $feuchte !=0) $containerOben .= '<tr><td>rel. Luftfeuchte: '.GetValueFormatted($feuchte).'</td></tr>';
if(isset($wind) && $wind !=0) $containerOben .= '<tr><td>Wind: '.GetValueFormatted($wind).'</td></tr>';
if(isset($luftdruck) && $luftdruck !=0) $containerOben .= '<tr><td>Luftdruck: '.GetValueFormatted($luftdruck).'</td></tr>';
if(isset($niederschlag) && $niederschlag !=0) $containerOben .= '<tr><td>Niederschlag: '.GetValueFormatted($niederschlag).'</td></tr>';
if(isset($Sonnenaufgang) && $Sonnenaufgang !=0 && isset($Sonnenuntergang) && $Sonnenuntergang !=0) $containerOben .= '<tr><td>SA: '.GetValue($Sonnenaufgang).' / SU: '.GetValue($Sonnenuntergang).'</td></tr>';
if(isset($hoeheNN) && $hoeheNN !=0) $containerOben .= '<tr><td>H&oumlhe &uuml. NN: '.$hoeheNN.' m</td></tr>';
$containerOben .= '</table></td>';
##################################################################################################################################
$containerOben .= '<td><table width="100%" border="0" cellspacing="0" cellpadding="0">';
$containerOben .= '<tr><td><img src='.$api->aktuell->icon.'></td></tr>';
$containerOben .= '</table></td>';
$containerOben .= '<td style="width:1px; background-color:#454545;"></td>';
##################################################################################################################################
$containerOben .= '<td><table width="100%" border="0" cellspacing="0" cellpadding="2">';
$containerOben .= '<tr><td colspan="2" align="center"><b>'.$wetter[0]['wochentag'].'</b></td></tr>';
$containerOben .= '<tr><td>Fr&uumlh: </td>';
$containerOben .= '<td>Sp&aumlt:</td></tr>';
$containerOben .= '<tr><td>'.$wetter[0]['zustandf'].'</td>';
$containerOben .= '<td>'.$wetter[0]['zustands'].'</td></tr>';
$containerOben .= '<tr><td>min. '.$wetter[0]['tiefsttemperatur'].' &deg;C</td>';
$containerOben .= '<td>max. '.$wetter[0]['hoechsttemperatur'].' &deg;C</td></tr>';
$containerOben .= '<tr><td><img src='.$wetter[0]['iconf'].' alt='.$wetter[0]['zustandf'].'></td>';
$containerOben .= '<td><img src='.$wetter[0]['icons'].' alt='.$wetter[0]['zustands'].'></td></tr>';
$containerOben .= '</table></td>';

$containerOben .= '<td style="width:1px; background-color:#454545;"></td>';
#####################################################################################################################
$containerOben .= '<td><table width="100%" border="0" cellspacing="0" cellpadding="2">';
$containerOben .= '<tr><td colspan="2" align="center"><b>'.$wetter[1]['wochentag'].'</td></tr>';
$containerOben .= '<tr><td>Fr&uumlh: </td>';
$containerOben .= '<td>Sp&aumlt:</td></tr>';
$containerOben .= '<tr><td>'.$wetter[1]['zustandf'].'</td>';
$containerOben .= '<td>'.$wetter[1]['zustands'].'</td></tr>';
$containerOben .= '<tr><td>min. '.$wetter[1]['tiefsttemperatur'].' &deg;C</td>';
$containerOben .= '<td>max. '.$wetter[1]['hoechsttemperatur'].' &deg;C</td></tr>';
$containerOben .= '<tr><td><img src='.$wetter[1]['iconf'].' alt='.$wetter[1]['zustandf'].'></td>';
$containerOben .= '<td><img src='.$wetter[1]['icons'].' alt='.$wetter[1]['zustands'].'></td></tr>';
$containerOben .= '</table></td>';

$containerOben .= '<td style="width:1px; background-color:#454545;"></td>';
####################################################################################################################
$containerOben .= '<td><table width="100%" border="0" cellspacing="0" cellpadding="2">';
$containerOben .= '<tr><td colspan="2" align="center"><b>'.$wetter[2]['wochentag'].'</td></tr>';
$containerOben .= '<tr><td>Fr&uumlh: </td>';
$containerOben .= '<td>Sp&aumlt:</td></tr>';
$containerOben .= '<tr><td>'.$wetter[2]['zustandf'].'</td>';
$containerOben .= '<td>'.$wetter[2]['zustands'].'</td></tr>';
$containerOben .= '<tr><td>min. '.$wetter[2]['tiefsttemperatur'].' &deg;C</td>';
$containerOben .= '<td>max. '.$wetter[2]['hoechsttemperatur'].' &deg;C</td></tr>';
$containerOben .= '<tr><td><img src='.$wetter[2]['iconf'].' alt='.$wetter[2]['zustandf'].'></td>';
$containerOben .= '<td><img src='.$wetter[2]['icons'].' alt='.$wetter[2]['zustands'].'></td></tr>';
$containerOben .= '</table></td>';

$containerOben .= '</tr>';
$containerOben .= '</table>';

############################### Warnlinie #############################################
if((!$kennung) || (!$region) || (!$landkreis))
{
	echo "Kennung = ".$kennung."</br>Region = ".$region."</br>Landkreis = ".$landkreis;
	return;
}

$imgWarnLinie = Sys_GetURLContent('http://www.wettergefahren.de/dyn/app/ws/maps/'.$landkreis.'_timeline.png');
$imagePfadWarnLinie = IPS_GetKernelDir()."webfront\\user\\WetterFtpDWD\\warnungen\\timeline.png";

$fp = fopen($imagePfadWarnLinie, "wb+");
fwrite($fp, $imgWarnLinie);
fclose($fp);

$imageWarnLinie = imagecreatefrompng($imagePfadWarnLinie);

$pos = imagecolorat($imageWarnLinie, 28, 24);
$index = imagecolorsforindex($imageWarnLinie, $pos);
//print_r($index);
$rgb = $index['red'] + $index['green'] + $index['blue'];

switch($rgb)
{
   case 255: // Rot
	   $warnIndex = "0";
		$imgKarte = Sys_GetURLContent('http://www.dwd.de/dyn/app/ws/maps/'.$warnung.'_x_x_'.$warnIndex.'.gif');
	break;
	case 275: // Dunkelrot
	   $warnIndex = "0";
		$imgKarte = Sys_GetURLContent('http://www.dwd.de/dyn/app/ws/maps/'.$warnung.'_x_x_'.$warnIndex.'.gif');
	break;
   case 400: // Orange
	   $warnIndex = "0";
		$imgKarte = Sys_GetURLContent('http://www.dwd.de/dyn/app/ws/maps/'.$warnung.'_x_x_'.$warnIndex.'.gif');
	break;
	case 510: // Gelb
	   $warnIndex = "0";
		$imgKarte = Sys_GetURLContent('http://www.dwd.de/dyn/app/ws/maps/'.$warnung.'_x_x_'.$warnIndex.'.gif');
	break;
	case 535: // Blau
	   $warnIndex = "0";
		$imgKarte = Sys_GetURLContent('http://www.dwd.de/dyn/app/ws/maps/'.$warnung.'_x_x_'.$warnIndex.'.gif');
	break;
	case 612: // Violett UV-Hitze
	   $warnIndex = "10";
		$imgKarte = Sys_GetURLContent('http://www.wettergefahren.de/dyn/app/ws/maps/'.$warnung.'_x_x_'.$warnIndex.'.gif');
	break;
}

$imagePfad = IPS_GetKernelDir()."webfront\\user\\WetterFtpDWD\\warnungen\\".$warnung."_x_x_".$warnIndex.".gif";

$fp = fopen($imagePfad, "wb+");
fwrite($fp, $imgKarte);
fclose($fp);

$image = imagecreatefromgif($imagePfad);
list($width, $height) = getimagesize($imagePfad);
$newWidth = $width * $factorWetterwarnung;
$newHeight = $height * $factorWetterwarnung;

$imageResized = ImageCreateTrueColor($newWidth, $newHeight);
$transparenz = ImageColorTransparent($image, imagecolorexact($image, 255, 255, 255));
for($i=0; $i<$height; $i++)
{
	for($j=0; $j<$width; $j++)
	{
		$pos = imagecolorat($image, $j, $i);
		$index = imagecolorsforindex($image, $pos);
		$rgbi = $index["red"] + $index["green"] + $index["blue"];
		if($rgbi == "0")
		{
			imagesetpixel($image, $j, $i, imagecolorresolve($image, 255, 255, 255));
		}
	}
}
ImageColorTransparent($imageResized, $transparenz);
ImageCopyResampled($imageResized, $image, 0, 0, 0, 0, $newWidth, $newHeight, $width, $height);

if($warnMeldung)
{
	require IPS_GetKernelDir()."scripts\\loginFtpServer.ips.php";
	
	if($rgb != 535)
	{  
		ftp_chdir($conn_id, "gds/specials/warnings/sms/".$warnRegion."/");
		$ftp_list = ftp_nlist($conn_id, ".");

		$h = date("d");
		$suche = "/([\w]{2}{$warnRegion}[\d]{2})_{$landkreis}[\w]{1}_({$h}[\d]{4})/";

		foreach($ftp_list as $v)
		{
			preg_match_all($suche, $v, $s, PREG_SET_ORDER);
			foreach($s as $sms)
			{
				$sim[] = $sms;
			}
		}
		if(isset($sim))
		{
			$smsMeldung = array_pop($sim);
			$letztesmsMeldung = array_shift($smsMeldung);
			$smsMeldung = IPS_GetKernelDir()."webfront\\user\\WetterFtpDWD\\warnungen\\smsWarnmeldung.txt";
			$handleSMS = @fopen($smsMeldung, 'wb+');
			if(!ftp_fget($conn_id, $handleSMS, $letztesmsMeldung, FTP_ASCII))
			{
				if($debug) echo "Warnmeldung konnte nicht geholt werden";
			}
			fclose($handleSMS);
			$smsWarnmeldung = file_get_contents("../WetterFtpDWD/warnungen/smsWarnmeldung.txt");
			SetValue($varIDWarnmeldung, $smsWarnmeldung);
		}
		ftp_close($conn_id);
	}
	else
	{
		SetValue($varIDWarnmeldung, utf8_decode("Es liegen zur Zeit keine Warnungen für den Landkreis vor!"));
	}
}

imagegif($imageResized, $imagePfad);
imagedestroy($image);
imagedestroy($imageResized);
##################################Ende Warnlinie ############################################################################
$containerLinks = '<table><tr>';
$containerLinks .= '<td><table width="100%" border="0" cellspacing="0" cellpadding="0">';
$containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/".$warnung."_x_x_".$warnIndex.".gif"."\" /></td></tr>";
$containerLinks .= '</table></td>';
$containerLinks .= '<td class="legende"><table  width="100%" border="0" cellspacing="10" cellpadding="0">';
$containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/lila.png\" /> Warnung vor extremen Unwetter</td></tr>";
$containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/rot.png\" /> Unwetterwarnung</td></tr>";
$containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/orange.png\" /> Warnung vor markantem Wetter</td></tr>";
$containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/gelb.png\" /> Wetterwarnung</td></tr>";
if(isset($warnIndex) && $warnIndex !=0) $containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/violett.png\" /> Hitzewarnung</td></tr>";
$containerLinks .= "<tr><td><img src=\"/user/WetterFtpDWD/warnungen/hellblau.png\" /> Keine Warnung</td></tr>";
$containerLinks .= '<tr><td></br>Meldungen Aktuell:</td></tr>';
if(isset($varIDWarnmeldung) && $varIDWarnmeldung !=0) $containerLinks .= '<tr><td>'.utf8_encode(GetValue($varIDWarnmeldung)).'</td></tr>';
$containerLinks .= '</table></td>';
$containerLinks .= '</tr></table>';

$berichtHeute = file_get_contents("../WetterFtpDWD/berichte/berichtHeute.txt");
$berichtHeute = preg_replace('/\b[A-Z]{1}+[a-z]{4,}\b.*([:].*)/', "", $berichtHeute);
//$berichtHeute = preg_replace('/Letzte Aktualisierung: ([\d]{2}.[\d]{2}.[\d]{4}, [\d]{2}.[\d]{2} Uhr)/', "", $berichtHeute);
$berichtMorgen = file_get_contents("../WetterFtpDWD/berichte/berichtMorgen.txt");
$berichtMorgen = preg_replace('/\b[A-Z]{1}+[a-z]{4,}\b.*([:].*)/', "", $berichtMorgen);
$berichtUebermorgen = file_get_contents("../WetterFtpDWD/berichte/berichtUebermorgen.txt");
$berichtUebermorgen = preg_replace('/\b[A-Z]{1}+[a-z]{4,}\b.*([:].*)/', "", $berichtUebermorgen);
$berichtTag4 = file_get_contents("../WetterFtpDWD/berichte/berichtTag4.txt");
$berichtTag4 = preg_replace('/\b[A-Z]{1}+[a-z]{4,}\b.*([:].*)/', "", $berichtTag4);

$berichtGesamt = $berichtHeute;
if($berichtanzahl == 2) $berichtGesamt = $berichtHeute . $berichtMorgen;
if($berichtanzahl == 3) $berichtGesamt = $berichtHeute . $berichtMorgen . $berichtUebermorgen;
if($berichtanzahl == 4) $berichtGesamt = $berichtHeute . $berichtMorgen . $berichtUebermorgen . $berichtTag4;

if($berichtGesamt == "") 
{
	$berichtGesamt = "Der Wetterbericht steht momentan nicht zur Verfügung!";
}

?>

<div id="containerTop">
	<div class="pos"><?php echo $ort;?></div>
	<div class="containerBorderAktuell">
		<div class="containerVorhersage"><?php echo $containerOben;?></div>
	</div>
</div>
<div id="containerBottomLeft">
	<div class="pos"><?php echo $ueberschriftKarte;?></div>
	<div class="containerWarnung">
		<div class="containerGif"><?php echo $containerLinks;?></div>
	</div>
</div>
<div id="containerBottomRight">
	<div class="pos">Wetterbericht</div>
	<div class="containerBericht">
		<div class="berichtText"><?php echo $berichtGesamt;?></div>
	</div>
</div>

<?php require "barBottom.php"; ?>


</body></html>